The Jiminny app supports modern browsers to provide you with the best and most secure experience for your team. We understand everyone has their own preference and aim to support as many as possible.

Currently Supported 

To use the app, you need to be using one of the following browsers and versions:

  • Chrome 64 and above
  • Firefox 57 and above
  • Microsoft Edge 14, 15, 16
  • Opera 44 and above
  • Safari 10, 11¬†

We always recommend keeping your browser up-to-date, enabling auto update, and have all security updates published for your operating system.

Conferences have slightly different requirements which you can read about here.

Did this answer your question?